Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.slf4j
Class Log4jMDCAdapter

    java.lang.Object
      org.apache.logging.slf4j.Log4jMDCAdapter

All Implemented Interfaces:
  org.slf4j.spi.MDCAdapter

    public class Log4jMDCAdapter

extends Object
implements org.slf4j.spi.MDCAdapter

Constructor Summary
`Log4jMDCAdapter()`

Method Summary
`void` | `clear()`
`String` | `get(String key)`
`Map<String,String>` | `getCopyOfContextMap()`
`void` | `put(String key, String val)`
`void` | `remove(String key)`
`void` | `setContextMap(Map map)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Log4jMDCAdapter

    public Log4jMDCAdapter()

Method Detail

### put

    public void put(String key,
                    String val)

  Specified by:
    `put` in interface `org.slf4j.spi.MDCAdapter`

### get

    public String get(String key)

  Specified by:
    `get` in interface `org.slf4j.spi.MDCAdapter`

### remove

    public void remove(String key)

  Specified by:
    `remove` in interface `org.slf4j.spi.MDCAdapter`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.slf4j.spi.MDCAdapter`

### getCopyOfContextMap

    public Map<String,String> getCopyOfContextMap()

  Specified by:
    `getCopyOfContextMap` in interface `org.slf4j.spi.MDCAdapter`

### setContextMap

    public void setContextMap(Map map)

  Specified by:
    `setContextMap` in interface `org.slf4j.spi.MDCAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.